apiVersion: v1
kind: Service
metadata:
  name: gogs-app
  namespace: gogs
  labels:
    app: gogs-app
spec:
  ports:
  - name: ssh
    protocol: TCP
    port: 22
    targetPort: 22
    nodePort: 30022
  - name: http
    protocol: TCP
    port: 3000
    targetPort: 3000
    nodePort: 30009
  selector:
    app: gogs-app
  type: NodePort
